# language: ru
Функционал: AST-редактир go-файлов
    Сгенерированные функции автоматически добавляются в тест-файл текущего пакета

  Контекст:
    Дано Файл "mypkg_test.go":
      ```
      package mypkg
      ```
  Сценарий: Добавление функции
    Когда Добавляется функция "ПриветМир"
    То Файл "mypkg_test.go" должен содержать:
      ```
      package mypkg

      func ПриветМир() {
      }

      ```

  Сценарий: Добавление функции с параметрами: int
    Дано Параметр: "arg1", "int"
    Когда Добавляется функция "ПриветМир"
    То Файл "mypkg_test.go" должен содержать:
      ```
      package mypkg

      func ПриветМир(arg1 int) {
      }

      ```

  Сценарий: Добавление функции с параметрами: int, string
    Дано Параметр: "arg1", "int"
    Дано Параметр: "arg2", "string"
    Когда Добавляется функция "ПриветМир"
    То Файл "mypkg_test.go" должен содержать:
      ```
      package mypkg

      func ПриветМир(arg1 int, arg2 string) {
      }

      ```

  Сценарий: Добавление функции с параметрами: string, int
    Дано Параметр: "arg1", "string"
    Дано Параметр: "arg2", "int"
    Когда Добавляется функция "ПриветМир"
    То Файл "mypkg_test.go" должен содержать:
      ```
      package mypkg

      func ПриветМир(arg1 string, arg2 int) {
      }

      ```
